syz: apply to ModuleElem?
Status: Rejected Start date: 18 May 2017
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: enhancing/improving Estimated time: 1.01 hour
Target version: CoCoA-5.4.2 Spent time: 0.75 hour
Description

Would it make sense to allow syz to be applied to a ModuleElem?

use P ::= QQ[x,vy,z];

M3 := NewFreeModule (P, 3);

v := ModuleElem (M3, [0,z,-y]);

syz(v); ——> ERROR

Related issues:

Related to CoCoALib - Feature #1206: syz, SyzOfGens: which shifts for zero? Closed 02 Aug 2018

History

#1 - 18 May 2017 21:57 - John Abbott

The current solution is to do the following:

use P ::= QQ[x,y,z];

M3 := NewFreeModule (P, 3);

v := ModuleElem (M3, [0,z,-y]);
/// syz(v); ——> ERROR

S := submodule (M3, [Vv]);
syz(S);

Note that even to create a mono-generator ("cyclic") submodule it is necessary to put the generator inside a list.

#2 - 18 May 2017 21:59 - John Abbott

The man page still calls th fn Syz with a capital S; it should be syz, shouldn't it?

#3 - 18 May 2017 22:03 - John Abbott

Is it right that syz should give error if one of the coords is zero?

use P ::= Q0[x,y,2z];
syz ([0,%,y]);
—=> ERROR: Non-zero RingElem required

27 Apr 2024

1/2




Shouldn't the answer be [[1,0,0],[0,y,-x]]?

#4 - 26 Mar 2024 09:59 - Anna Maria Bigatti

- Status changed from New to Resolved

- Target version changed from CoCoA-5.?.7 to CoCoA-5.4.2
- % Done changed from 0 to 80

I'm inclined to reject this.
It would be ambiguos: syz of the components, or of the cyclic module it generates?

#5 - 26 Mar 2024 09:59 - Anna Maria Bigatti
- Related to Feature #1206: syz, SyzOfGens: which shifts for zero? added

#6 - 26 Mar 2024 13:35 - Anna Maria Bigatti
- Status changed from Resolved to Rejected
- Assignee set to Anna Maria Bigatti

- % Done changed from 80 to 100

- Estimated time set to 1.01 h

#7 - 26 Mar 2024 17:12 - John Abbott

Agreed that we should reject.

27 Apr 2024

22


http://www.tcpdf.org

